CREATE TABLE gl_xfr_history_files (
    XFR_ID                   NUMBER(18, 0),
    SYSTEM_ID                NUMBER(18, 0)    NOT NULL,
    CHUNK_NUM                NUMBER(18, 0),
    CONFIG_FILE_ID           NUMBER(18, 0),
    PERIOD_STATUS_FILE       CLOB         ,
    BALANCES_FILE            CLOB         ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    XFR_ID                   NUMBER(18, 0),
    SYSTEM_ID                NUMBER(18, 0)    NOT NULL,
    CHUNK_NUM                NUMBER(18, 0),
    CONFIG_FILE_ID           NUMBER(18, 0),
    PERIOD_STATUS_FILE       CLOB         ,
    BALANCES_FILE            CLOB         ,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_xfr_history_files PRIMARY KEY (XFR_ID, CHUNK_NUM, XFR_ID, CHUNK_NUM)
);
